﻿using Billing.Models;
using Billing.UI;
using Xamarin.Forms.Maps;
using Xamarin.Forms.PlatformConfiguration.iOSSpecific;

namespace Billing.Views
{
    public class ViewLocationPage : BillingPage
    {
        public ViewLocationPage(Bill bill)
        {
            On<Xamarin.Forms.PlatformConfiguration.iOS>().SetUseSafeArea(false);
            Title = bill.Name;

            if (bill.Latitude != null && bill.Longitude != null)
            {
                var position = new Position(bill.Latitude.Value, bill.Longitude.Value);
                var mapSpan = new MapSpan(position, 0.01, 0.01);
                Content = new Map(mapSpan)
                {
                    Pins =
                    {
                        new Pin
                        {
                            Label = bill.Name,
                            Type = PinType.Generic,
                            Position = position,
                            Address = bill.Store
                        }
                    }
                };
            }
        }
    }
}